Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 02 Sep 2015, 06:37
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
gimp 2.8 in wary 5.5?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [9 Posts]  
Author Message
TecnoGuy458


Joined: 26 Jan 2015
Posts: 95
Location: Ohio

PostPosted: Tue 31 Mar 2015, 11:45    Post subject:  gimp 2.8 in wary 5.5?  

or at least a working version the one i have now crashes when you try to save and my attempt to compile the latest version failed miserably.
I'm hoping 2.7.0 at the very least but if someone has a working 2.8 version that will work in wary 5.5 I'd appreciate it.

full install
wary 5.5

note: i have a 56Gb hard disk that still has 49GB free so size is not much of an issue

i just need a version of gimp 2.7.0 or up that will work in wary 5.5
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3837
Location: Ontario

PostPosted: Tue 31 Mar 2015, 20:07    Post subject:  

There are some gimp packages for various puppies HERE

_______________________________________
Back to top
View user's profile Send private message 
TecnoGuy458


Joined: 26 Jan 2015
Posts: 95
Location: Ohio

PostPosted: Tue 31 Mar 2015, 20:27    Post subject:  

still crashes. what gives?
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3837
Location: Ontario

PostPosted: Tue 31 Mar 2015, 20:35    Post subject:  

Type 'gimp' in the terminal and see if another package is needed.

People often package gimp without gegl and babl included.

_______________________________________________________
Back to top
View user's profile Send private message 
TecnoGuy458


Joined: 26 Jan 2015
Posts: 95
Location: Ohio

PostPosted: Wed 01 Apr 2015, 07:47    Post subject:  

Code:
# gimp

(gimp:2587): GLib-WARNING **: goption.c:2132: ignoring no-arg, optional-arg or filename flags (8) on option of type 0
** Message: Module '/usr/lib/gegl-0.1/ff-load.so' load error: libavformat.so.52: cannot open shared object file: No such file or directory
This is a development version of GIMP.  Debug messages may appear here.
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3837
Location: Ontario

PostPosted: Sat 04 Apr 2015, 15:42    Post subject:  

It looks like the package of GIMP you have installed was compiled in another
version of Puppy, perhaps Precise Puppy.

Are you sure you tried -->

Quote:

gimp-2.7.1-1-w5.sfs
http://shino.pos.to/party/bridge.cgi?puppy/opt/pup5/
Based on the PET Barry compiled.
Works on Wary/Racy and most of Puppy-5.x.
Back to top
View user's profile Send private message 
Geoffrey


Joined: 30 May 2010
Posts: 1834
Location: Queensland

PostPosted: Sat 04 Apr 2015, 17:41    Post subject:  

don570 wrote:
Are you sure you tried -->

Quote:

gimp-2.7.1-1-w5.sfs
http://shino.pos.to/party/bridge.cgi?puppy/opt/pup5/
Based on the PET Barry compiled.
Works on Wary/Racy and most of Puppy-5.x.


I've tried gimp-2.7.1-1-w5.sfs in Wary 5.5, it crashes when trying to save or export a newly created image,
it seems to work ok editing existing images, yet Carolina uses gimp-2.7.1-1-w5.sfs without any problems.

_________________
Carolina: Recent Repository Additions
Create strikethrough text HERE
Back to top
View user's profile Send private message 
TecnoGuy458


Joined: 26 Jan 2015
Posts: 95
Location: Ohio

PostPosted: Sun 05 Apr 2015, 20:14    Post subject:  

at least mtpaint works. i can create files using that. and when i loaded png made in mtpaint it saved as an xcf just fine. so we are dealing with a glitch of some kind that causes gimp to crash apparently only in wary 5.5 (if someone has this glitch in another pup please say) and only when you try to save a image that was created via the "new" command in gimp. but if you load a file in gimp and just create the image from an already existing image file. gimp saves properly.
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3837
Location: Ontario

PostPosted: Wed 08 Apr 2015, 20:41    Post subject:  

I tried shinobar's gimp 2.7 sfs and it definitely doesn't work

There is a problem with gegl 0.1 and libavformat

The gimp app does open from terminal, however it doesn't save a file.
Shinobar probably didn't test the package completely.

_________________________________________________
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [9 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2343s ][ Queries: 11 (0.0386s) ][ GZIP on ]